Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.renderer
Class OWLlinkXMLWriter

    java.lang.Object
      org.semanticweb.owlapi.owllink.renderer.OWLlinkXMLWriter

    public class OWLlinkXMLWriter

extends java.lang.Object

Author:
  Olaf Noppens

Constructor Summary
`OWLlinkXMLWriter(java.io.Writer writer, PrefixManagerProvider prefixProvider)`

Method Summary
`void` | `endDocument()`
`PrefixManagerProvider` | `getPrefixManagerProvider()`
`void` | `startDocument(boolean isRequest)`
`void` | `writeAttribute(java.lang.String attribute, java.lang.String value)`
`void` | `writeAttribute(java.net.URI attribute, java.lang.String value)`
`void` | `writeDirectAttribute(boolean isNegative)`
`void` | `writeEndElement()`
`void` | `writeFullIRIAttribute(IRI iri)`
`void` | `writeKBAttribute(IRI kb)`
`void` | `writeNegativeAttribute(boolean isNegative)`
`void` | `writeOWLObject(OWLObject object, IRI KB)`
`void` | `writeStartElement(OWLlinkXMLVocabulary v)`
`void` | `writeStartElement(java.net.URI name)`
`void` | `writeTextContent(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLlinkXMLWriter

    public OWLlinkXMLWriter(java.io.Writer writer,
                            PrefixManagerProvider prefixProvider)

Method Detail

### startDocument

    public void startDocument(boolean isRequest)
                       throws OWLRendererException

  Throws:
    `OWLRendererException`

### endDocument

    public void endDocument()

### writeStartElement

    public final void writeStartElement(OWLlinkXMLVocabulary v)

### writeStartElement

    public void writeStartElement(java.net.URI name)

### writeEndElement

    public void writeEndElement()

### writeAttribute

    public void writeAttribute(java.lang.String attribute,
                               java.lang.String value)

### writeAttribute

    public void writeAttribute(java.net.URI attribute,
                               java.lang.String value)

### writeNegativeAttribute

    public void writeNegativeAttribute(boolean isNegative)

### writeDirectAttribute

    public void writeDirectAttribute(boolean isNegative)

### writeKBAttribute

    public void writeKBAttribute(IRI kb)

### writeFullIRIAttribute

    public void writeFullIRIAttribute(IRI iri)

### writeOWLObject

    public void writeOWLObject(OWLObject object,
                               IRI KB)

### writeTextContent

    public void writeTextContent(java.lang.String text)

### getPrefixManagerProvider

    public PrefixManagerProvider getPrefixManagerProvider()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD